## ros-eloquent-ecl-linear-algebra 1.0.7

=== CMakeLists.txt ===
##############################################################################
# Cmake
##############################################################################

cmake_minimum_required(VERSION 3.5)
project(ecl_linear_algebra)

##############################################################################
# ament
##############################################################################

# Turn -isystem off. Actually like to see warnings from underlying packages
# and regardless, have run into trouble because of the ordering it induces.
set(CMAKE_NO_SYSTEM_FROM_IMPORTED TRUE)

find_package(ament_cmake_ros REQUIRED)
find_package(ecl_build REQUIRED)
find_package(ecl_eigen REQUIRED)
find_package(ecl_exceptions REQUIRED)
find_package(ecl_formatters REQUIRED)
find_package(ecl_math REQUIRED)

find_package(Sophus REQUIRED)

##############################################################################
# Project Configuration
##############################################################################

ament_package_xml()
ecl_enable_cxx14_compiler()
ecl_enable_cxx_warnings()

##############################################################################
# Sources
##############################################################################

add_subdirectory(include)
add_subdirectory(src)

##############################################################################
# Exports
##############################################################################

# Downstream CMake3 compatibility 
ament_export_interfaces(HAS_LIBRARY_TARGET ${PROJECT_NAME})
# Downstream CMake2 compatibility
ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})

ament_export_dependencies(
    ecl_eigen
    ecl_exceptions
    ecl_formatters
    ecl_math
    Sophus
)
ament_package()

=== src/test/CMakeLists.txt ===
##############################################################################
# Google Test Macro
##############################################################################

macro(ecl_linear_algebra_add_gtest test_name)
  ament_add_gtest(ecl_test_linear_algebra_${test_name} ${test_name}.cpp)
  if(TARGET ecl_test_linear_algebra_${test_name})
    target_include_directories(
      ecl_test_linear_algebra_${test_name}
      PRIVATE
        $<INSTALL_INTERFACE:${Sophus_INCLUDE_DIRS}>
    )
    target_link_libraries(ecl_test_linear_algebra_${test_name}
      ${PROJECT_NAME}
	  ecl_eigen::ecl_eigen
	  ecl_exceptions::ecl_exceptions
	  ecl_formatters::ecl_formatters
	  ecl_math::ecl_math
    )
    # Hack just to make sure our tests pass if we're using external eigen3
    # Note that this is covered for dependant packages
    # in the manifest.xml externally via a hunt for pkg-config
    if ( EIGEN3_INCLUDE_DIR )
      set_target_properties(ecl_test_linear_algebra_${test_name} PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS} -I${EIGEN3_INCLUDE_DIR}")
    endif()
  endif()
endmacro()

##############################################################################
# Google Tests
##############################################################################

ecl_linear_algebra_add_gtest(plugin)
ecl_linear_algebra_add_gtest(formatters)
ecl_linear_algebra_add_gtest(interpolators)

=== include/ecl/linear_algebra/CMakeLists.txt ===
###############################################################################
# SUBDIRECTORIES
###############################################################################

add_subdirectory(eigen)
add_subdirectory(sophus)

###############################################################################
# FILES
###############################################################################

file(GLOB HEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.hpp)
  
install(FILES ${HEADERS} DESTINATION include/ecl/linear_algebra)

=== debian/changelog ===
ros-eloquent-ecl-linear-algebra (1.0.7-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 26 Mar 2020 04:53:53 -0000

ros-eloquent-ecl-linear-algebra (0.61.8-1bionic) bionic; urgency=high

  * drop the c++11 transitive export flag, catkin installs dont support this

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 10 Jan 2016 05:00:00 -0000

ros-eloquent-ecl-linear-algebra (0.61.7-1bionic) bionic; urgency=high

  * transitively export c++11 requirement instead of forcing users to do it

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 09 Jan 2016 05:00:00 -0000

ros-eloquent-ecl-linear-algebra (0.61.5-1bionic) bionic; urgency=high

  * expose sophus and add some sophus helpers/utilities.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 24 Nov 2015 05:00:00 -0000

ros-eloquent-ecl-linear-algebra (0.61.0-1bionic) bionic; urgency=high

  * eigen matrix formatter api aligned with other ecl float formatters

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 12 Sep 2014 04:00:00 -0000

=== debian/control ===
Source: ros-eloquent-ecl-linear-algebra
Section: misc
Priority: optional
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-cmake-ros, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-ecl-build, ros-eloquent-ecl-converters, ros-eloquent-ecl-eigen, ros-eloquent-ecl-exceptions, ros-eloquent-ecl-formatters, ros-eloquent-ecl-license, ros-eloquent-ecl-math, ros-eloquent-sophus, ros-eloquent-ros-workspace
Homepage: http://wiki.ros.org/ecl_linear_algebra
Standards-Version: 3.9.2

Package: ros-eloquent-ecl-linear-algebra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-ecl-build, ros-eloquent-ecl-converters, ros-eloquent-ecl-eigen, ros-eloquent-ecl-exceptions, ros-eloquent-ecl-formatters, ros-eloquent-ecl-license, ros-eloquent-ecl-math, ros-eloquent-sophus, ros-eloquent-ros-workspace
Description: Ecl frontend to a linear matrix package (currently eigen).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-ecl-linear-algebra//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
